/*
 *  Copyright (c) 2008 Andrew Olmsted <andrew.olmsted@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <libosso.h>
#include <stdlib.h>
#include <stdio.h>
#include <glib.h>

int main(int argc, char **argv)
{
	osso_context_t *osso;
	osso_rpc_t retval;

	osso=osso_initialize("personal-menu","0.9",TRUE,NULL);
	
	if ((argc==2)&&(g_strcasecmp(argv[1],"settings")==0))
	{
		osso_rpc_run(osso,
			"com.nokia.controlpanel",
			"/com/nokia/controlpanel/rpc",
			"com.nokia.controlpanel",
			"run_applet", &retval,
			DBUS_TYPE_STRING,"libpersonalmenusetup.so",
			DBUS_TYPE_BOOLEAN,TRUE,
			DBUS_TYPE_INVALID);		
	}
	else
	{	
		osso_rpc_run_system(osso,
			"com.nokia.personalmenu",
			"/com/nokia/personalmenu",
			"com.nokia.personalmenu",
			"connect", &retval,
			DBUS_TYPE_STRING,"menu popup",
			DBUS_TYPE_UINT32,0,
			DBUS_TYPE_UINT32,0,
			DBUS_TYPE_INVALID);
	}
	
	return 0;
}
